---
# The Puffin application is an interface for doing the following:
#   - Setting up the software on vehicle
#   - Troubleshooting issues on vehicle
#   - Tearing down software on vehicle
#
# As such, puffin is set to greet a user upon login to the vehicle.
# This task list configures the OPERATOR machine to auto-launch puffin
# upon login.

- block:
  - name: Create Autostart path
    file:
      state: directory
      path: "/home/zoox/.config/autostart"
      owner: zoox
      group: zoox

  - name: Remove old autostart entry
    file:
      path: "/home/zoox/.config/autostart/puffin.desktop"
      state: absent

  - name: Create autostart entry
    copy:
      dest: "/home/zoox/.config/autostart/PUFFIN.desktop"
      src: "PUFFIN.desktop"
      owner: zoox
      group: zoox
      mode: "755"

  become: yes
